﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        private int intRow;

        private Form2 form2;

        public Form1()
        {
            InitializeComponent();

            form2 = new Form2();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SetupDataGridView();
            PopulateDataGridView();

            form2.Show();
        }

        private void SetupDataGridView()
        {
            // 고객마스터의 컬럼 설정
            dataGridView.ColumnCount = 4;
            dataGridView.AutoGenerateColumns = false;
            dataGridView.Columns[0].Name = "Id";
            dataGridView.Columns[1].Name = "Name";
            dataGridView.Columns[2].Name = "Age";
            dataGridView.Columns[3].Name = "Sex";
        }

        private void PopulateDataGridView()
        {
            // DataGridView에 한 줄씩 추가
            dataGridView.Rows.Add(new string[] { "1", "kaki104", "11", "true"} );
            dataGridView.Rows.Add(new string[] { "2", "kakao", "22", "false"} );
            dataGridView.Rows.Add(new string[] { "3", "kass", "33", "true"} );
            dataGridView.Rows.Add(new string[] { "4", "kameo", "44", "false"} );
            dataGridView.Rows.Add(new string[] { "5", "keroro", "55", "true"} );
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var row = dataGridView.CurrentRow;
            intRow = dataGridView.Rows.IndexOf(row);
            tbId.Text = row.Cells[0].Value.ToString();
            tbName.Text = row.Cells[1].Value.ToString();
            tbAge.Text = row.Cells[2].Value.ToString();
            cbSex.Checked = row.Cells[3].Value.ToString() == "true" ? true : false;
        }

        private void tbId_TextChanged(object sender, EventArgs e)
        {
            dataGridView.Rows[intRow].Cells[0].Value = tbId.Text;
        }

        private void tbName_TextChanged(object sender, EventArgs e)
        {
            var personId = dataGridView.Rows[intRow].Cells[0].Value.ToString();
            var changeName = tbName.Text;
            dataGridView.Rows[intRow].Cells[1].Value = changeName;

            var grid = form2.dataGridView2;
            for (int i = 0; i < grid.Rows.Count - 1; i++)
            {
                var rdata = grid.Rows[i];
                if (rdata.Cells[4].Value.ToString() == personId)
                {
                    rdata.Cells[1].Value = changeName;
                }
            }
        }

        private void tbAge_TextChanged(object sender, EventArgs e)
        {
            dataGridView.Rows[intRow].Cells[2].Value = tbAge.Text;
        }

        private void cbSex_Click(object sender, EventArgs e)
        {
            dataGridView.Rows[intRow].Cells[3].Value = cbSex.Checked == true ? "true" : "false";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dataGridView.Rows.Add(new string[] { "", "", "", "false" });
        }

        private void button3_Click(object sender, EventArgs e)
        {
            dataGridView.Rows.Remove(dataGridView.CurrentRow);
        }
    }
}
